> ## Documentation Index
> Fetch the complete documentation index at: https://nango.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Attio

> Integrate your application with the Attio API

## 🚀 Quickstart

Connect to Attio with Nango and see data flow in 2 minutes.

**1. Create the integration**

In Nango ([free signup](https://app.nango.dev)), go to [Integrations](https://app.nango.dev/dev/integrations) -> *Configure New Integration* -> *Attio*.

**2. Authorize Attio**

Go to [Connections](https://app.nango.dev/dev/connections) -> *Add Test Connection* -> *Authorize*, then log in to Attio. Later, you'll let your users do the same directly from your app.

**3. Call the Attio API**

Let's make your first request to the Attio API (fetch a list of people). Replace the placeholders below with your [Environment API key](https://nango.dev/docs/reference/backend/http-api/api-keys.md), [integration ID](https://app.nango.dev/dev/integrations), and [connection ID](https://app.nango.dev/dev/connections):

> [tab] cURL
>
> ```bash theme={null}
> curl -X POST  "https://api.nango.dev/proxy/v2/objects/people/records/query" \
>   -H "Authorization: Bearer <NANGO-API-KEY>" \
>   -H "Provider-Config-Key: <INTEGRATION-ID>" \
>   -H "Connection-Id: <CONNECTION-ID>" \
>   -H "Accept: application/json" \
>   -H "Content-Type: application/json" \
>   -d '{"limit": 10}'
> ```

> [tab] Node
>
> Install Nango's backend SDK with `npm i @nangohq/node`. Then run:
>
> ```typescript theme={null}
> import { Nango } from '@nangohq/node';
>
> const nango = new Nango({ apiKey: '<NANGO-API-KEY>' });
>
> const res = await nango.post({
>     endpoint: '/v2/objects/people/records/query',
>     providerConfigKey: '<INTEGRATION-ID>',
>     connectionId: '<CONNECTION-ID>',
>     data: {
>       limit: 10
>     }
>   });
> console.log(JSON.stringify(res.data, 2, null));
> ```

Or fetch credentials with the [Node SDK](https://nango.dev/docs/reference/backend/backend-sdk/node.md#get-a-connection-with-credentials) or [API](https://nango.dev/docs/reference/backend/http-api/connections/get.md).

✅ You're connected! Check the [Logs](https://app.nango.dev/dev/logs) tab in Nango to inspect requests.

**4. Implement Nango in your app**

Follow our [Auth implementation guide](https://nango.dev/docs/guides/primitives/auth.md) to integrate Nango in your app.

To obtain your own credentials, follow the setup guide linked below.

## 📚 Attio Integration Guides

Nango maintained guides for common use cases.

* [How to register your own Attio OAuth app](https://nango.dev/docs/api-integrations/attio/how-to-register-your-own-attio-api-oauth-app)\
  Register an OAuth app with Attio and obtain credentials to connect it to Nango

Official docs: [Attio API documentation](https://developers.attio.com/reference)

## 🧩 Pre-built syncs & tools for Attio

Explore Nango-provided tools in your dashboard. Extend and customize them to fit your needs.

### Others

| Function name | Description | Type |
| - | - | - |
| `create-comment` | Create a comment on a record or list entry in Attio. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-list-entry` | Create a list entry in Attio by adding a record to a list | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-list` | Create a list in Attio. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-note` | Create a note in Attio. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-object` | Create a custom object in Attio | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-record` | Create a record in Attio | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-task` | Create a task in Attio. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-webhook` | Create a webhook in Attio. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-comment` | Delete a comment in Attio | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-list-entry` | Delete or archive a list entry in Attio | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-note` | Delete or archive a note in Attio. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-record` | Delete or archive a record in Attio. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-task` | Delete or archive a task in Attio. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-webhook` | Delete or archive a webhook in Attio | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-comment` | Retrieve a single comment from Attio. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-list-entry` | Retrieve a single list entry from Attio. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-list` | Retrieve a single list from Attio. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-note` | Retrieve a single note from Attio. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-object` | Retrieve a single object from Attio. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-record` | Retrieve a single record from Attio. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-task` | Retrieve a single task from Attio. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-webhook` | Retrieve a single webhook from Attio. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-workspace-member` | Retrieve a single workspace member from Attio. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-list-entries` | List list entries from Attio. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-lists` | List lists from Attio. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-notes` | List notes from Attio. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-objects` | List objects from Attio. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-records` | List records from Attio | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-tasks` | List tasks from Attio. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-webhooks` | List webhooks from Attio. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-workspace-members` | List all workspace members in Attio. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-list-entry` | Update a list entry in Attio. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-list` | Update a list in Attio. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-object` | Update an object in Attio. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-record` | Update a record in Attio. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-task` | Update a task in Attio. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-webhook` | Update a webhook in Attio. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `upsert-list-entry` | Create or update a list entry in Attio by matching parent record. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `upsert-record` | Create or update a record in Attio by matching attribute value. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `companies` | Sync Attio company records. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `deals` | Sync Attio deal records | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `list-entries` | Sync list entries from Attio. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `lists` | Sync lists from Attio | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `meetings` | Sync meetings from Attio. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `notes` | Sync notes from Attio. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `objects` | Sync objects from Attio. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `people` | Sync Attio person records. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `records` | Sync records from Attio. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `tasks` | Sync tasks from Attio | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `webhooks` | Sync webhooks from Attio. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |
| `workspace-members` | Sync workspace member profiles from Attio. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |

***


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.